KeyDerivationFunction Class Referenceabstract

abstract base class for key derivation function More...

Inheritance diagram for KeyDerivationFunction:

## Public Member Functions

virtual size_t | MaxDerivedKeyLength () const =0
| maximum number of bytes which can be produced under a secuirty context
virtual bool | Usesinfo () const =0
virtual unsigned int | DeriveKey (byte *derived, size_t derivedLen, const byte *secret, size_t secretLen, const byte *salt, size_t saltLen, const byte *info=NULL, size_t infoLen=0) const =0
| derive a key from secret

## Detailed Description

abstract base class for key derivation function

Definition at line 18 of file hkdf.h.

The documentation for this class was generated from the following file:

- hkdf.h